changeset 424:e39509d8d925

Install uClibc and kernel .config files into src directory of mini-native.
author Rob Landley <rob@landley.net>
date Tue, 28 Oct 2008 23:32:03 -0500
parents 8029eb9a4a8c
children 6a8f6cecce7c
files cross-compiler.sh mini-native.sh
diffstat 2 files changed, 6 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/cross-compiler.sh	Tue Oct 28 02:34:22 2008 -0500
+++ b/cross-compiler.sh	Tue Oct 28 23:32:03 2008 -0500
@@ -91,7 +91,6 @@
 fi
 
 make CROSS= KCONFIG_ALLCONFIG="${CONFIG_DIR}"/$CONFIGFILE allnoconfig &&
-cp .config ../config-uClibc &&
 make CROSS="${ARCH}-" KERNEL_HEADERS="${CROSS}/include" PREFIX="${CROSS}/" \
      RUNTIME_PREFIX=/ DEVEL_PREFIX=/ $BUILDIT &&
 cd ..
--- a/mini-native.sh	Tue Oct 28 02:34:22 2008 -0500
+++ b/mini-native.sh	Tue Oct 28 23:32:03 2008 -0500
@@ -27,6 +27,10 @@
   done
 fi
 
+# Copy qemu setup script and so on.
+
+cp -r "${SOURCES}/native/." "${TOOLS}/" || dienow
+
 # Build and install Linux kernel.
 
 setupfor linux
@@ -35,7 +39,7 @@
 # build bootable kernel for target
 make ARCH="${KARCH}" KCONFIG_ALLCONFIG="${CONFIG_DIR}/miniconfig-linux" \
   allnoconfig &&
-cp .config ../config-linux &&
+cp .config "${TOOLS}"/src/config-linux &&
 make -j $CPUS ARCH="${KARCH}" CROSS_COMPILE="${ARCH}-" &&
 cp "${KERNEL_PATH}" "${WORK}/zImage-${ARCH}" &&
 cd ..
@@ -55,6 +59,7 @@
   BUILDIT="all install_runtime install_dev utils"
 fi
 make KCONFIG_ALLCONFIG="${CONFIG_DIR}"/$CONFIGFILE allnoconfig &&
+cp .config "${TOOLS}"/src/config-uClibc &&
 make CROSS="${ARCH}-" KERNEL_HEADERS="${TOOLS}/include" PREFIX="${TOOLS}/" \
      RUNTIME_PREFIX=/ DEVEL_PREFIX=/ UCLIBC_LDSO_NAME=ld-uClibc $BUILDIT &&
 # utils_install wants to put stuff in usr/bin instead of bin.
@@ -100,10 +105,6 @@
 
 cleanup busybox
 
-# Copy qemu setup script and so on.
-
-cp -r "${SOURCES}/native/." "${TOOLS}/" || dienow
-
 if [ ! -z "${BUILD_NOTOOLS}" ]
 then